%define main_release 125

%define samba_version 4.0.0
%define talloc_version 2.0.7
%define ntdb_version 0.9
%define tdb_version 1.2.10
%define tevent_version 0.9.15
%define ldb_version 1.1.6
%define pre_release beta2

%define samba_release %{main_release}%{?dist}.%{pre_release}

%define with_libsmbclient 0
%define with_libwbclient 0

%define with_pam_smbpass 0
%define with_talloc 1
%define with_tevent 1
%define with_tdb 1
%define with_ntdb 1
%define with_ldb 1

%define with_usrmove 0

%define with_mitkrb5 1
%define with_dc 0

%if 0%{?fedora} > 15 || 0%{?rhel} > 6
%define with_talloc 0
%define with_tevent 0
%define with_tdb 0
%define with_ldb 0
%endif

%if 0%{?fedora} > 16
%define with_usrmove 1
%endif

%if %with_usrmove
%define smb_lib %{_libdir}
%else
%define smb_lib %{_lib}
%endif

%{!?python_libdir: %define python_libdir %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1,1)")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           samba4
Version:        %{samba_version}
Release:        %{samba_release}
Epoch:          2

%if 0%{?epoch} > 0
%define samba_depver %{epoch}:%{version}-%{release}
%else
%define samba_depver %{version}-%{release}
%endif

Summary:        Server and Client software to interoperate with Windows machines
License:        GPLv3+ and LGPLv3+
Group:          System Environment/Daemons
URL:            http://www.samba.org/

Source0:        samba-%{version}%{pre_release}.tar.bz2

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: smb.conf.default
Source5: pam_winbind.conf
Source6: samba.pamd
Source7: samba.conf.tmp

Source100: nmb.init
Source101: smb.init
Source102: winbind.init

Source200: README.dc

Patch1: samba4-libpdb-soversion.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires(pre): /usr/sbin/groupadd
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
Requires(post): /bin/systemctl
Requires(preun): /bin/systemctl
%else
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
%endif

Requires(pre): %{name}-common = %{samba_depver}
Requires: logrotate
Requires: pam
Requires: perl(Parse::Yapp)

Conflicts: samba < %{samba_depver}
Provides: samba = %{samba_depver}

BuildRequires: autoconf
BuildRequires: ctdb-devel
BuildRequires: cups-devel
BuildRequires: docbook-style-xsl
BuildRequires: e2fsprogs-devel
BuildRequires: gawk
BuildRequires: iniparser-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: libattr-devel
BuildRequires: libcap-devel
BuildRequires: libuuid-devel
BuildRequires: libxslt
BuildRequires: ncurses-devel
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::Yapp)
BuildRequires: popt-devel
BuildRequires: python-devel
BuildRequires: python-tevent
BuildRequires: quota-devel
BuildRequires: readline-devel
BuildRequires: sed
BuildRequires: zlib-devel >= 1.2.3
BuildRequires: libbsd-devel

%if ! %with_talloc
%define libtalloc_version 2.0.7

BuildRequires: libtalloc-devel >= %{libtalloc_version}
BuildRequires: pytalloc-devel >= %{libtalloc_version}
%endif

%if ! %with_tevent
%define libtevent_version 0.9.16

BuildRequires: libtevent-devel >= %{libtevent_version}
BuildRequires: python-tevent >= %{libtevent_version}
%endif

%if ! %with_ldb
%define libldb_version 1.1.6

BuildRequires: libldb-devel >= %{libldb_version}
BuildRequires: pyldb-devel >= %{libldb_version}
%endif

%if ! %with_tdb
%define libtdb_version 1.2.10

BuildRequires: libtdb-devel >= %{libtdb_version}
BuildRequires: python-tdb >= %{libtdb_version}
%endif

# UGLY HACK: Fix 'Provides' for libsmbclient and libwbclient
%if ! %with_libsmbclient && ! %with_libwbclient
%{?filter_setup:
%filter_from_provides /libsmbclient.so.0()/d; /libwbclient.so.0()/d
%filter_setup
}
%endif

%description
Samba is the standard Windows interoperability suite of programs for Linux and Unix.

%package client
Summary: Samba client programs
Group: Applications/System
Requires: %{name}-common = %{samba_depver}
Requires: %{name}-libs = %{samba_depver}

Conflicts: samba-client < 2:3.9.9
Provides: samba-client = %{samba_depver}

%description client
The samba4-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

%package libs
Summary: Samba libraries
Group: Applications/System
%if %with_libwbclient
Requires: libwbclient
%endif

%description libs
The samba4-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

%package python
Summary: Samba Python libraries
Group: Applications/System
Requires: %{name}-libs = %{samba_depver}

%description python
The samba4-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

%package devel
Summary: Developer tools for Samba libraries
Group: Development/Libraries
Requires: %{name}-libs = %{samba_depver}

Conflicts: samba-devel < 2:3.9.9
Provides: samba-devel = %{samba_depver}

%description devel
The samba4-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

%package pidl
Summary: Perl IDL compiler
Group: Development/Tools
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description pidl
The samba4-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

%package common
Summary: Files used by both Samba servers and clients
Group: Applications/System
Requires: %{name}-libs = %{samba_depver}
Requires(post): systemd

Conflicts: samba-common < 2:3.9.9
Provides: samba-common = %{samba_depver}

%description common
samba4-common provides files necessary for both the server and client
packages of Samba.

%package test
Summary: Testing tools for Samba servers and clients
Group: Applications/System

%description test
samba4-test provides testing tools for both the server and client
packages of Samba.

%package winbind
Summary: Samba winbind
Group: Applications/System
Requires: %{name} = %{samba_depver}

Conflicts: samba-winbind < 2:3.9.9
Provides: samba-winbind = %{samba_depver}

%description winbind
The samba-winbind package provides the winbind NSS library, and some
client tools.  Winbind enables Linux to be a full member in Windows
domains and to use Windows user and group accounts on Linux.

%package winbind-krb5-locator
Summary: Samba winbind krb5 locator
Requires: %{name}-winbind-clients = %{samba_depver}
Group: Applications/System

Conflicts: samba-winbind-krb5-locator < %{samba_depver}
Provides: samba-winbind-krb5-locator = %{samba_depver}

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library to allow
the local kerberos library to use the same KDC as samba and winbind use

%package winbind-clients
Summary: Samba winbind clients
Group: Applications/System
%if %with_libwbclient
Requires: libwbclient
%endif

Conflicts: samba-winbind-clients < %{samba_depver}

%description winbind-clients
The samba-winbind-clients package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon


%package swat
Summary: The Samba SMB server Web configuration program
Group: Applications/System
Requires: %{name} = %{samba_depver}, xinetd

Conflicts: samba-swat < 2:3.9.9
Provides: samba-swat = %{samba_depver}

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.

%if %with_libsmbclient
%package -n libsmbclient
Summary: The SMB client library
Group: Applications/System
Requires: %{name}-common = %{samba_depver}

Conflicts: libsmbclient < 2:3.9.9
Provides: libsmbclient = %{samba_depver}

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Group: Development/Libraries
Requires: libsmbclient = %{samba_depver}

Conflicts: libsmbclient-devel < 2:3.9.9
Provides: libsmbclient-devel = %{samba_depver}

%description -n libsmbclient-devel
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.
%endif # with_libsmbclient

%if %with_libwbclient
%package -n libwbclient
Summary: The winbind client library
Group: Applications/System

%description -n libwbclient
The libwbclient package contains the winbind client library from the Samba suite.

%package -n libwbclient-devel
Summary: Developer tools for the winbind library
Group: Development/Libraries
Requires: libwbclient = %{samba_depver}

%description -n libwbclient-devel
The libwbclient-devel package provides developer tools for the wbclient library.
%endif # with_libwbclient

%package dc
Summary: Samba AD Domain Controller
Group: Applications/System
Requires: samba4-dc-libs = %{samba_depver}

%description dc
The samba-dc package provides AD Domain Controller functionality

%package dc-libs
Summary: Samba AD Domain Controller Libraries
Group: Applications/System
Requires: samba4-libs = %{samba_depver}
Requires: samba4-common = %{samba_depver}

%description dc-libs
The samba4-dc-libs package contains the libraries needed by the DC to
link against the SMB, RPC and other protocols.

%prep
%setup -q -n samba-%{version}%{pre_release}

%patch1 -p1 -b .waf_tdb

%build
%define _talloc_lib %nil
%define _tevent_lib %nil
%define _tdb_lib %nil
%define _ldb_lib %nil

%if ! %with_talloc
%define _talloc_lib ,!talloc,!pytalloc
%endif

%if ! %with_tevent
%define _tevent_lib ,!tevent,!pytevent
%endif

%if ! %with_tdb
%define _tdb_lib ,!tdb,!pytdb
%endif

%if ! %with_ldb
%define _ldb_lib ,!ldb,!pyldb
%endif

%define _samba4_libraries heimdal,!zlib,!popt%{_talloc_lib}%{_tevent_lib}%{_tdb_lib}%{_ldb_lib}

%define _samba4_idmap_modules idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2
%define _samba4_pdb_modules pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
%define _samba4_auth_modules auth_sam,auth_unix,auth_winbind,auth_wbc,auth_server,auth_builtin,auth_netlogond,auth_script,auth_samba4
# auth_domain needs to be static

%define _samba4_modules %{_samba4_idmap_modules},%{_samba4_pdb_modules},%{_samba4_auth_modules}

# libsmbclient and libwbclient package

#%if (! %with_libsmbclient) && (! %with_libwbclient)
#%define _samba4_private_libraries smbclient,wbclient
#%else if ! %with_libsmbclient
#%define _samba4_private_libraries smbclient,
#%else if ! %with_libwbclient
#%define _samba4_private_libraries wbclient,
#%endif

%define _libsmbclient %nil
%define _libwbclient %nil

%if ! %with_libsmbclient
%define _libsmbclient smbclient,smbsharemodes,
%endif

%if ! %with_libwbclient
%define _libwbclient wbclient,
%endif

%define _samba4_private_libraries %{_libsmbclient}%{_libwbclient}

%configure \
        --enable-fhs \
        --with-piddir=/run \
        --with-sockets-dir=/run/samba \
        --with-modulesdir=%{_libdir}/samba \
        --with-pammodulesdir=/%{smb_lib}/security \
        --with-lockdir=/var/lib/samba \
        --disable-gnutls \
        --disable-rpath-install \
        --with-shared-modules=%{_samba4_modules} \
        --builtin-libraries=ccan \
        --bundled-libraries=%{_samba4_libraries} \
%if (! %with_libsmbclient) || (! %with_libwbclient)
        --private-libraries=%{_samba4_private_libraries} \
%endif
%if %with_mitkrb5
        --with-system-mitkrb5 \
%endif
%if ! %with_dc
        --without-ad-dc \
%endif
%if ! %with_pam_smbpass
        --without-pam_smbpass
%endif

export WAFCACHE=/tmp/wafcache
mkdir -p $WAFCACHE
make %{?_smp_mflags}

# Build PIDL for installation into vendor directories before
# 'make proto' gets to it.
(cd pidl && %{__perl} Makefile.PL INSTALLDIRS=vendor )

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -d -m 0755 %{buildroot}/usr/{sbin,bin}
install -d -m 0755 %{buildroot}/%{_sysconfdir}/{pam.d,logrotate.d,security}
install -d -m 0755 %{buildroot}/%{smb_lib}/security
install -d -m 0755 %{buildroot}/var/lib/samba
install -d -m 0755 %{buildroot}/var/lib/samba/private
install -d -m 0755 %{buildroot}/var/lib/samba/winbindd_privileged
install -d -m 0755 %{buildroot}/var/lib/samba/scripts
install -d -m 0755 %{buildroot}/var/lib/samba/sysvol
install -d -m 0755 %{buildroot}/var/log/samba/old
install -d -m 0755 %{buildroot}/var/spool/samba
install -d -m 0755 %{buildroot}/%{_datadir}/swat/using_samba
install -d -m 0755 %{buildroot}/var/run/winbindd
install -d -m 0755 %{buildroot}/%{_libdir}/samba
install -d -m 0755 %{buildroot}/%{_libdir}/pkgconfig

# Undo the PIDL install, we want to try again with the right options.
rm -rf %{buildroot}/%{_libdir}/perl5
rm -rf %{buildroot}/%{_datadir}/perl5

# Install PIDL.
( cd pidl && make install PERL_INSTALL_ROOT=%{buildroot} )

# winbind
%if ! %with_usrmove
install -d -m 0755 %{buildroot}%{_libdir}
install -d -m 0755 %{buildroot}/%{smb_lib}
mv -f %{buildroot}/%{_libdir}/libnss_winbind.so.2 %{buildroot}/%{smb_lib}/libnss_winbind.so.2
chmod 0755 %{buildroot}/%{smb_lib}/libnss_winbind.so.2
mv -f %{buildroot}/%{_libdir}/libnss_wins.so.2 %{buildroot}/%{smb_lib}/libnss_wins.so.2
chmod 0755 %{buildroot}/%{smb_lib}/libnss_wins.so.2
%endif
ln -sf /%{smb_lib}/libnss_winbind.so.2  %{buildroot}%{_libdir}/libnss_winbind.so
ln -sf /%{smb_lib}/libnss_wins.so.2  %{buildroot}%{_libdir}/libnss_wins.so

# pdb FIXME
ln -sf %{_libdir}/samba/libpdb.so.0  %{buildroot}%{_libdir}/samba/libpdb.so

# Install other stuff
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba
install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/samba/smb.conf
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/pam_winbind.conf
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/samba

echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts

install -d -m 0755 %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

install -d -m 0755 %{buildroot}%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/swat

install -d -m 0755 %{buildroot}%{_sysconfdir}/tmpfiles.d/
install -m644 %{SOURCE7} %{buildroot}%{_sysconfdir}/tmpfiles.d/samba.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 packaging/systemd/samba.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/samba

%if ! %with_dc
install -d -m 0755 %{buildroot}%{_defaultdocdir}/%{name}
install -m 0644 %{SOURCE200} %{buildroot}%{_defaultdocdir}/%{name}/README.dc
install -m 0644 %{SOURCE200} %{buildroot}%{_defaultdocdir}/%{name}/README.dc-libs
%endif

%if 0%{?fedora} > 15 || 0%{?rhel} > 6
install -d -m 0755 %{buildroot}%{_unitdir}
for i in nmb smb winbind ; do
    cat packaging/systemd/$i.service | sed -e 's@Type=forking@Type=forking\nEnvironment=KRB5CCNAME=/run/samba/krb5cc_samba@g' >tmp$i.service
    install -m 0644 tmp$i.service %{buildroot}%{_unitdir}/$i.service
done
%endif

%if 0%{?rhel} == 6
install -d -m 0755 %{buildroot}%{_initrddir}
install -m 0644 %{SOURCE100} %{buildroot}%{_initrddir}/nmb
install -m 0644 %{SOURCE101} %{buildroot}%{_initrddir}/smb
install -m 0644 %{SOURCE102} %{buildroot}%{_initrddir}/winbind
%endif

# winbind krb5 locator
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
install -m 755 %{buildroot}/%{_libdir}/winbind_krb5_locator.so %{buildroot}/%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so
rm -f %{buildroot}/%{_libdir}/winbind_krb5_locator.so

# cleanup stuff that does not belong here
rm -f %{buildroot}/%{_mandir}/man3/ldb.3*
rm -f %{buildroot}/%{_mandir}/man3/talloc.3*

# Clean out crap left behind by the PIDL install.
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
rm -f %{buildroot}%{perl_vendorlib}/wscript_build
rm -rf %{buildroot}%{perl_vendorlib}/Parse/Yapp

# This makes the right links, as rpmlint requires that
# the ldconfig-created links be recorded in the RPM.
/sbin/ldconfig -N -n %{buildroot}%{_libdir}

# Fix up permission on perl install.
%{_fixperms} %{buildroot}%{perl_vendorlib}

# Remove stuff the buildsystem did not handle correctly
rm -f %{buildroot}/%{smb_lib}/security/pam_smbpass.so
rm -f %{buildroot}%{python_sitelib}/tevent.py

%if ! %with_libwbclient
ln -sf %{_libdir}/samba/libwbclient.so.0 %{buildroot}%{_libdir}/samba/libwbclient.so
%endif

%post
%if 0%{?rhel} == 6
/sbin/chkconfig --add smb
/sbin/chkconfig --add nmb
if [ "$1" -ge "1" ]; then
    /sbin/service smb condrestart >/dev/null 2>&1 || :
    /sbin/service nmb condrestart >/dev/null 2>&1 || :
fi
exit 0
%endif

if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
%if 0%{?rhel} == 6
if [ $1 = 0 ] ; then
    /sbin/service smb stop >/dev/null 2>&1 || :
    /sbin/service nmb stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del smb
    /sbin/chkconfig --del nmb
fi
exit 0
%endif

if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable smb.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable nmb.service > /dev/null 2>&1 || :
    /bin/systemctl stop smb.service > /dev/null 2>&1 || :
    /bin/systemctl stop nmb.service > /dev/null 2>&1 || :
fi

%postun
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart smb.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart nmb.service >/dev/null 2>&1 || :
fi
%endif

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%if %with_dc
%post dc-libs -p /sbin/ldconfig

%postun dc-libs -p /sbin/ldconfig
%endif # with_dc

%post test -p /sbin/ldconfig

%postun test -p /sbin/ldconfig

%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post winbind
%if 0%{?rhel} == 6
/sbin/chkconfig --add winbind
if [ "$1" -ge "1" ]; then
    /sbin/service winbind condrestart >/dev/null 2>&1 || :
fi
exit 0
%endif

if [ "$1" -ge "1" ]; then
    /bin/systemctl try-restart winbind.service >/dev/null 2>&1 || :
fi

%preun winbind
%if 0%{?rhel} == 6
if [ $1 = 0 ] ; then
    /sbin/service winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0
%endif

if [ $1 = 0 ] ; then
    /bin/systemctl stop winbind.service >/dev/null 2>&1 || :
    /bin/systemctl disable winbind.service
fi
exit 0

%post common
/sbin/ldconfig
/usr/bin/systemd-tmpfiles --create %{_sysconfdir}/tmpfiles.d/samba.conf

%postun common -p /sbin/ldconfig

%post winbind-clients -p /sbin/ldconfig

%postun winbind-clients -p /sbin/ldconfig

%if %with_libsmbclient
%post -n libsmbclient -p /sbin/ldconfig

%postun -n libsmbclient -p /sbin/ldconfig
%endif # with_libsmbclient

%if %with_libwbclient
%post -n libwbclient -p /sbin/ldconfig

%postun -n libwbclient -p /sbin/ldconfig
%endif # with_libwbclient

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/smbstatus
%{_bindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%{_libdir}/samba/libsmbd_base.so
%{_libdir}/samba/libsmbd_conn.so
%{_libdir}/samba/auth
%{_libdir}/samba/vfs
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%endif
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%{_sysconfdir}/openldap/schema/samba.schema
%if 0%{?rhel} == 6
%{_initrddir}/nmb
%{_initrddir}/smb
%endif

%files libs
%defattr(-,root,root)
%{_libdir}/libdcerpc-atsvc.so.*
%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libdcerpc-samr.so.*
%{_libdir}/libdcerpc.so.*
%{_libdir}/libgensec.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libregistry.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamba-policy.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbclient-raw.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libtevent-util.so.*

# libraries needed by the public libraries
%{_libdir}/samba/libCHARSET3.so
%{_libdir}/samba/libMESSAGING.so
%{_libdir}/samba/libLIBWBCLIENT_OLD.so
%{_libdir}/samba/libaddns.so
%{_libdir}/samba/libads.so
%{_libdir}/samba/libasn1util.so
%{_libdir}/samba/libauth4.so
%{_libdir}/samba/libauth_sam_reply.so
%{_libdir}/samba/libauth_unix_token.so
%{_libdir}/samba/libauthkrb5.so
%{_libdir}/samba/libcli-ldap-common.so
%{_libdir}/samba/libcli-ldap.so
%{_libdir}/samba/libcli-nbt.so
%{_libdir}/samba/libcli_cldap.so
%{_libdir}/samba/libcli_smb_common.so
%{_libdir}/samba/libcliauth.so
#%{_libdir}/samba/libclidns.so
%{_libdir}/samba/libcluster.so
%{_libdir}/samba/libcmdline-credentials.so
%{_libdir}/samba/libdbwrap.so
%{_libdir}/samba/libdcerpc-samba.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/liberrors.so
%{_libdir}/samba/libevents.so
%{_libdir}/samba/libflag_mapping.so
%{_libdir}/samba/libgpo.so
%{_libdir}/samba/libgse.so
%{_libdir}/samba/libinterfaces.so
%{_libdir}/samba/libkrb5samba.so
%{_libdir}/samba/libldbsamba.so
%{_libdir}/samba/liblibcli_lsa3.so
%{_libdir}/samba/liblibcli_netlogon3.so
%{_libdir}/samba/liblibsmb.so
%{_libdir}/samba/libmsrpc3.so
%{_libdir}/samba/libndr-samba.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet_keytab.so
%{_libdir}/samba/libnetif.so
%{_libdir}/samba/libnpa_tstream.so
%{_libdir}/samba/libreplace.so
%{_libdir}/samba/libsamba-modules.so
%{_libdir}/samba/libsamba-net.so
%{_libdir}/samba/libsamba-sockets.so
%{_libdir}/samba/libsamba_python.so
%{_libdir}/samba/libsamdb-common.so
%{_libdir}/samba/libsecrets3.so
%{_libdir}/samba/libsecurity.so
%{_libdir}/samba/libserver-role.so
%{_libdir}/samba/libshares.so
%{_libdir}/samba/libsamba3-util.so
%{_libdir}/samba/libsmbd_shim.so
%{_libdir}/samba/libsmbpasswdparser.so
%{_libdir}/samba/libsmbregistry.so
%{_libdir}/samba/libtdb-wrap.so
%{_libdir}/samba/libtdb_compat.so
%{_libdir}/samba/libutil_cmdline.so
%{_libdir}/samba/libutil_reg.so
%{_libdir}/samba/libutil_tdb.so
%{_libdir}/samba/libxattr_tdb.so
%{_libdir}/samba/libpdb.so.*
%{_libdir}/samba/libsmbldap.so

%if %with_dc
%{_libdir}/samba/libdb-glue.so
%{_libdir}/samba/libHDB_SAMBA4.so
%{_libdir}/samba/libasn1-samba4.so.8
%{_libdir}/samba/libasn1-samba4.so.8.0.0
%{_libdir}/samba/libgssapi-samba4.so.2
%{_libdir}/samba/libgssapi-samba4.so.2.0.0
%{_libdir}/samba/libhcrypto-samba4.so.5
%{_libdir}/samba/libhcrypto-samba4.so.5.0.1
%{_libdir}/samba/libhdb-samba4.so.11
%{_libdir}/samba/libhdb-samba4.so.11.0.2
%{_libdir}/samba/libheimbase-samba4.so.1
%{_libdir}/samba/libheimbase-samba4.so.1.0.0
%{_libdir}/samba/libhx509-samba4.so.5
%{_libdir}/samba/libhx509-samba4.so.5.0.0
%{_libdir}/samba/libkrb5-samba4.so.26
%{_libdir}/samba/libkrb5-samba4.so.26.0.0
%{_libdir}/samba/libroken-samba4.so.19
%{_libdir}/samba/libroken-samba4.so.19.0.1
%{_libdir}/samba/libwind-samba4.so.0
%{_libdir}/samba/libwind-samba4.so.0.0.0
%endif

%if %{with_ldb}
%{_libdir}/samba/libldb.so.1
%{_libdir}/samba/libldb.so.%{ldb_version}
%{_libdir}/samba/libpyldb-util.so.1
%{_libdir}/samba/libpyldb-util.so.%{ldb_version}
%endif
%if %{with_talloc}
%{_libdir}/samba/libtalloc.so.2
%{_libdir}/samba/libtalloc.so.%{talloc_version}
%{_libdir}/samba/libpytalloc-util.so.2
%{_libdir}/samba/libpytalloc-util.so.%{talloc_version}
%endif
%if %{with_tevent}
%{_libdir}/samba/libtevent.so.0
%{_libdir}/samba/libtevent.so.%{tevent_version}
%endif
%if %{with_tdb}
%{_libdir}/samba/libtdb.so.1
%{_libdir}/samba/libtdb.so.%{tdb_version}
%endif
%if %{with_ntdb}
%{_libdir}/samba/libntdb.so.0
%{_libdir}/samba/libntdb.so.%{ntdb_version}
%endif

%if ! %with_libsmbclient
%{_libdir}/samba/libsmbclient.so.*
%{_libdir}/samba/libsmbsharemodes.so.*
%endif # ! with_libsmbclient

%if ! %with_libwbclient
%{_libdir}/samba/libwbclient.so.*
%{_libdir}/samba/libwinbind-client.so
%endif # ! with_libwbclient

%files common
%defattr(-,root,root)
#%{_libdir}/samba/charset ???
%{_sysconfdir}/tmpfiles.d/samba.conf
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/testparm
%{_libdir}/libnetapi.so.*
%{_libdir}/samba/libprinting_migrate.so
%{_datadir}/samba/codepages
%attr(700,root,root) %dir /var/lib/samba/private
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba

# common libraries
%{_libdir}/samba/libauth.so
%{_libdir}/samba/libpopt_samba3.so
%{_libdir}/samba/pdb

%if %with_pam_smbpass
/%{smb_lib}/security/pam_smbpass.so
%endif

%files dc
%defattr(-,root,root)
%{_bindir}/samba-dig
%{_libdir}/samba/ldb
%{_libdir}/samba/libdfs_server_ad.so
%{_libdir}/samba/libdsdb-module.so

%if %with_dc
%{_bindir}/samba-tool
%{_bindir}/samba_kcc
%{_sbindir}/provision
%{_sbindir}/samba
%{_sbindir}/upgradeprovision
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_libdir}/mit_samba.so
%{_libdir}/samba/bind9/dlz_bind9.so
%{_libdir}/samba/libheimntlm-samba4.so.1
%{_libdir}/samba/libheimntlm-samba4.so.1.0.1
%{_libdir}/samba/libkdc-samba4.so.2
%{_libdir}/samba/libkdc-samba4.so.2.0.0
%{_libdir}/samba/libpac.so
%{_libdir}/samba/gensec
%dir /var/lib/samba/sysvol
%{_datadir}/samba/setup
%{_mandir}/man8/samba.8.gz
%else # with_dc
%doc %{_defaultdocdir}/%{name}/README.dc
%endif # with_dc

%files dc-libs
%defattr(-,root,root)
%if %with_dc
%{_libdir}/samba/libprocess_model.so
%{_libdir}/samba/libservice.so
%{_libdir}/samba/process_model
%{_libdir}/samba/service
%{_libdir}/libdcerpc-server.so.*
%{_libdir}/samba/libntvfs.so
%{_libdir}/samba/libposix_eadb.so
%{_libdir}/samba/bind9/dlz_bind9_9.so
%else
%doc %{_defaultdocdir}/%{name}/README.dc-libs
%endif # with_dc

%files winbind
%defattr(-,root,root)
#%{_bindir}/wbinfo3
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/samba/libnss_info.so
%{_libdir}/samba/libidmap.so
%{_sbindir}/winbindd
%ghost %dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
%{_unitdir}/winbind.service
%endif
#%{_mandir}/man1/wbinfo.1*
#%{_mandir}/man5/pam_winbind.conf.5*
#%{_mandir}/man8/pam_winbind.8*
#%{_mandir}/man8/winbindd.8*
#%{_mandir}/man8/idmap_*.8*
#%{_datadir}/locale/*/LC_MESSAGES/pam_winbind.mo
%if 0%{?rhel} == 6
%{_initrddir}/winbind
%endif

%files winbind-krb5-locator
%defattr(-,root,root)
#%{_mandir}/man7/winbind_krb5_locator.7*
%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

%files winbind-clients
%defattr(-,root,root)
%{_bindir}/ntlm_auth
%{_bindir}/ntlm_auth3
%{_bindir}/wbinfo
%{_libdir}/libnss_winbind.so
/%{smb_lib}/libnss_winbind.so.2
%{_libdir}/libnss_wins.so
/%{smb_lib}/libnss_wins.so.2
/%{smb_lib}/security/pam_winbind.so
%{_mandir}/man1/ntlm_auth.1.gz

%files client
%defattr(-,root,root)
%{_bindir}/cifsdd
%{_bindir}/dbwrap_tool
%{_bindir}/debug2html
%{_bindir}/log2pcap
%{_bindir}/nmblookup
%{_bindir}/nmblookup4
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/rpcclient
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbclient4
%{_bindir}/smbcquotas
%{_bindir}/smbfilter
%{_bindir}/smbget
#%{_bindir}/smbiconv
%{_bindir}/smbpasswd
%{_bindir}/smbspool
%{_bindir}/smbta-util
%{_bindir}/smbtree
%{_bindir}/split_tokens
%{_libdir}/samba/libcli_spoolss.so
%{_libdir}/samba/libldb-cmdline.so
%{_libdir}/samba/libtrusts_util.so
%{_mandir}/man1/nmblookup.1.gz
%{_mandir}/man1/oLschema2ldif.1.gz
%{_mandir}/man1/regdiff.1.gz
%{_mandir}/man1/regpatch.1.gz
%{_mandir}/man1/regshell.1.gz
%{_mandir}/man1/regtree.1.gz

%if %{with_ntdb}
%{_bindir}/ntdbbackup
%{_bindir}/ntdbdump
%{_bindir}/ntdbrestore
%{_bindir}/ntdbtool
%endif

%if %{with_tdb}
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbrestore
%{_bindir}/tdbtool
%{_mandir}/man8/tdbbackup.8.gz
%{_mandir}/man8/tdbdump.8.gz
%{_mandir}/man8/tdbrestore.8.gz
%{_mandir}/man8/tdbtool.8.gz
%endif

%if %with_ldb
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_mandir}/man1/ldbadd.1.gz
%{_mandir}/man1/ldbdel.1.gz
%{_mandir}/man1/ldbedit.1.gz
%{_mandir}/man1/ldbmodify.1.gz
%{_mandir}/man1/ldbrename.1.gz
%{_mandir}/man1/ldbsearch.1.gz
%endif

%files test
%defattr(-,root,root)
%{_bindir}/dbwrap_torture
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/locktest2
%{_bindir}/locktest3
%{_bindir}/masktest
%{_bindir}/masktest3
%{_bindir}/msgtest
%{_bindir}/ndrdump
%{_bindir}/nsstest
%{_bindir}/pdbtest
%{_bindir}/pthreadpooltest
%{_bindir}/rpc_open_tcp
%{_bindir}/smbconftort
%{_bindir}/smbtorture
%{_bindir}/smbtorture3
%{_bindir}/test_lp_load
%{_bindir}/timelimit
%{_bindir}/versiontest
%{_bindir}/vfstest
%{_bindir}/vlp
%{_libdir}/libtorture.so.*
%{_libdir}/samba/libsubunit.so
%{_mandir}/man1/gentest.1.gz
%{_mandir}/man1/locktest.1.gz
%{_mandir}/man1/masktest.1.gz
%{_mandir}/man1/ndrdump.1.gz
%{_mandir}/man1/smbtorture.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/charset.h
%{_includedir}/samba-4.0/core/doserr.h
%{_includedir}/samba-4.0/core/error.h
%{_includedir}/samba-4.0/core/ntstatus.h
%{_includedir}/samba-4.0/core/werror.h
%{_includedir}/samba-4.0/credentials.h
%{_includedir}/samba-4.0/dcerpc.h
%{_includedir}/samba-4.0/dlinklist.h
%{_includedir}/samba-4.0/domain_credentials.h
%{_includedir}/samba-4.0/gen_ndr/atsvc.h
%{_includedir}/samba-4.0/gen_ndr/auth.h
%{_includedir}/samba-4.0/gen_ndr/dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/epmapper.h
%{_includedir}/samba-4.0/gen_ndr/krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/lsa.h
%{_includedir}/samba-4.0/gen_ndr/mgmt.h
%{_includedir}/samba-4.0/gen_ndr/misc.h
%{_includedir}/samba-4.0/gen_ndr/nbt.h
%{_includedir}/samba-4.0/gen_ndr/drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_epmapper.h
%{_includedir}/samba-4.0/gen_ndr/ndr_epmapper_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/ndr_mgmt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_mgmt_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_misc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_nbt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl_c.h
%{_includedir}/samba-4.0/gen_ndr/netlogon.h
%{_includedir}/samba-4.0/gen_ndr/samr.h
%{_includedir}/samba-4.0/gen_ndr/security.h
%{_includedir}/samba-4.0/gen_ndr/server_id.h
%{_includedir}/samba-4.0/gen_ndr/svcctl.h
%{_includedir}/samba-4.0/gensec.h
%{_includedir}/samba-4.0/ldap-util.h
%{_includedir}/samba-4.0/ldap_errors.h
%{_includedir}/samba-4.0/ldap_message.h
%{_includedir}/samba-4.0/ldap_ndr.h
%{_includedir}/samba-4.0/ldb_wrap.h
%{_includedir}/samba-4.0/lookup_sid.h
%{_includedir}/samba-4.0/machine_sid.h
%{_includedir}/samba-4.0/ndr.h
%{_includedir}/samba-4.0/ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/ndr/ndr_nbt.h
%{_includedir}/samba-4.0/netapi.h
%{_includedir}/samba-4.0/param.h
%{_includedir}/samba-4.0/passdb.h
%{_includedir}/samba-4.0/policy.h
%{_includedir}/samba-4.0/read_smb.h
%{_includedir}/samba-4.0/registry.h
%{_includedir}/samba-4.0/roles.h
%{_includedir}/samba-4.0/rpc_common.h
%{_includedir}/samba-4.0/samba/session.h
%{_includedir}/samba-4.0/samba/version.h
%{_includedir}/samba-4.0/share.h
%{_includedir}/samba-4.0/smb2.h
%{_includedir}/samba-4.0/smb2_constants.h
%{_includedir}/samba-4.0/smb2_create_blob.h
%{_includedir}/samba-4.0/smb2_signing.h
%{_includedir}/samba-4.0/smb_cli.h
%{_includedir}/samba-4.0/smb_cliraw.h
%{_includedir}/samba-4.0/smb_common.h
%{_includedir}/samba-4.0/smb_composite.h
%{_includedir}/samba-4.0/smbconf.h
%{_includedir}/samba-4.0/smb_constants.h
%{_includedir}/samba-4.0/smb_ldap.h
%{_includedir}/samba-4.0/smbldap.h
%{_includedir}/samba-4.0/smb_raw.h
%{_includedir}/samba-4.0/smb_raw_interfaces.h
%{_includedir}/samba-4.0/smb_raw_signing.h
%{_includedir}/samba-4.0/smb_raw_trans2.h
%{_includedir}/samba-4.0/smb_request.h
%{_includedir}/samba-4.0/smb_seal.h
%{_includedir}/samba-4.0/smb_signing.h
%{_includedir}/samba-4.0/smb_unix_ext.h
%{_includedir}/samba-4.0/smb_util.h
%{_includedir}/samba-4.0/tdr.h
%{_includedir}/samba-4.0/torture.h
%{_includedir}/samba-4.0/tsocket.h
%{_includedir}/samba-4.0/tsocket_internal.h
%{_includedir}/samba-4.0/samba_util.h
%{_includedir}/samba-4.0/util/attr.h
%{_includedir}/samba-4.0/util/byteorder.h
%{_includedir}/samba-4.0/util/data_blob.h
%{_includedir}/samba-4.0/util/debug.h
%{_includedir}/samba-4.0/util/memory.h
%{_includedir}/samba-4.0/util/safe_string.h
%{_includedir}/samba-4.0/util/string_wrappers.h
%{_includedir}/samba-4.0/util/talloc_stack.h
%{_includedir}/samba-4.0/util/tevent_ntstatus.h
%{_includedir}/samba-4.0/util/tevent_unix.h
%{_includedir}/samba-4.0/util/tevent_werror.h
%{_includedir}/samba-4.0/util/time.h
%{_includedir}/samba-4.0/util/xfile.h
%{_includedir}/samba-4.0/util_ldb.h
%{_libdir}/libdcerpc-atsvc.so
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc.so
%{_libdir}/libgensec.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libregistry.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-policy.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbclient-raw.so
%{_libdir}/libsmbconf.so
%{_libdir}/libtevent-util.so
%{_libdir}/libtorture.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_atsvc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/gensec.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/registry.pc
%{_libdir}/pkgconfig/samba-credentials.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/samba-policy.pc
%{_libdir}/pkgconfig/samba-util.pc
%{_libdir}/pkgconfig/samdb.pc
%{_libdir}/pkgconfig/smbclient-raw.pc
%{_libdir}/pkgconfig/torture.pc
%{_libdir}/samba/libpdb.so

%if %with_dc
%{_includedir}/samba-4.0/dcerpc_server.h
%{_libdir}/libdcerpc-server.so
%{_libdir}/pkgconfig/dcerpc_server.pc
%endif

%if %with_talloc
%{_includedir}/samba-4.0/pytalloc.h
%endif

%if ! %with_libsmbclient
%{_includedir}/samba-4.0/libsmbclient.h
%{_includedir}/samba-4.0/smb_share_modes.h
%endif # ! with_libsmbclient

%if ! %with_libwbclient
%{_libdir}/samba/libwbclient.so
%{_includedir}/samba-4.0/wbclient.h
%endif # ! with_libwbclient

%files python
%defattr(-,root,root,-)
%{python_sitearch}/*

%files pidl
%defattr(-,root,root,-)
%{perl_vendorlib}/Parse/Pidl*
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse::Pidl*
%attr(755,root,root) %{_bindir}/pidl

%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/samba/swat
%{_sbindir}/swat
#%{_mandir}/man8/swat.8*
#%attr(755,root,root) %{_libdir}/samba/*.msg

%if %with_libsmbclient
%files -n libsmbclient
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%attr(755,root,root) %{_libdir}/libsmbsharemodes.so.*

%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/libsmbclient.h
%{_includedir}/samba-4.0/smb_share_modes.h
%{_libdir}/libsmbclient.so
%{_libdir}/libsmbsharemodes.so
%{_libdir}/pkgconfig/smbclient.pc
#%{_libdir}/pkgconfig/smbsharemodes.pc
#%{_mandir}/man7/libsmbclient.7*
%endif # with_libsmbclient

%if %with_libwbclient
%files -n libwbclient
%defattr(-,root,root)
%{_libdir}/libwbclient.so.*
%{_libdir}/samba/libwinbind-client.so

%files -n libwbclient-devel
%defattr(-,root,root)
%{_includedir}/samba-4.0/wbclient.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc
%endif # with_libwbclient

%changelog
* Tue Jul 03 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-125.beta2
- Change version and release number scheme.
- Remove dependency between samba4-libs and samba4-common.
- resolves: #836492

* Thu Jun 28 2012 Petr Pisar <ppisar@redhat.com> - 2:4.0.0-59beta2.1
- Perl 5.16 rebuild

* Mon Jun 25 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-59.beta2
- Make sure we fail if we don't find python modules of system libraries.

* Fri Jun 22 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-58.beta2
- Add missing BuildRequires for python bindings.

* Thu Jun 21 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-57.beta2
- Fix ldonfig.
- Require systemd for samba-common package.

* Thu Jun 21 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-56.beta2
- Update to Samba 4.0.0 beta2.

* Mon Jun 18 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-55.beta1
- Fix usrmove paths.

* Tue Jun 12 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-54.beta1
- Fix version number.

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 2:4.0.0-53beta1.1
- Perl 5.16 rebuild

* Tue Jun 05 2012 Andreas Schneider <asn@redhat.com>- 2:4.0.0-53.beta1
- Update to Samba 4.0.0 beta1.

* Mon Jun 04 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-52.alpha21
- Add missing conflict for samba-swat.
- Fix packaging of internal libraries to reflect alpha21 changes.
- Move some common binaries from client to common subpackage.
- resolves: #823182

* Wed May 30 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-51.alpha21
- Update to Samba 4.0.0 alpha 21.
- Add missing iniparser-devel build requirement.
- Add libwbclient.so for internal FreeIPA build.
- Build with MIT KRB5.

* Mon May 21 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-50.alpha18
- Add missing python-tevent to BuildRequires.
- Move idmap modlues to winbind package.
- Move ntlm_auth to winbind-clients package.
- resolves: #823182

* Mon May 14 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-49.alpha18
- Move tmpfiles.d config to common package as it is needed for smbd and
  winbind.
- Make sure tmpfiles get created after installation.
- resolves: #820721

* Thu May 10 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-48.alpha18
- Move testparm to samba4-common package.
- Move smbcontrol and smbstatus to samba4 package.

* Fri May 04 2012 Andreas Schneider <asn@redhat.com> - 2:4.0.0-47.alpha18
- Bump Epoch to match Samba3 Epoch number for updates.

* Thu May 03 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-46.alpha18
- Remove symbols from Provides served by Samba3's libsmbclient and libwbclient.

* Wed May 02 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-45.alpha18
- Fix packaging of libsmbclient and libwbclient header files.

* Mon Apr 30 2012 Guenther Deschner < gdeschner@redhat.com> - 4.0.0-44.alpha18
- Security Release, fixes CVE-2012-2111
- resolves: #817551

* Tue Apr 24 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-43.alpha18
- Move libraries to samba4-libs so it doesn't depend on samba4-common.

* Fri Apr 20 2012 - Andreas Schneider <asn@redhat.com> - 4.0.0-42.alpha18
- Package libsmbclient and libwbclient internal.
- resolves: #814451

* Wed Apr 18 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-41.alpha18
- Rename libsmbclient4 to libsmbclient.

* Fri Apr 13 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-40.alpha18
- Fixes CVE-2012-1182.

* Tue Apr 03 2012 Andreas Schneider <asn@redhat.com> - 4.0.0-39.alpha18
- Update to Samba4 alpha18.
- Reorganize subpackages.

* Wed Jan 25 2012 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-38.alpha16
- Add another "buildfix" patch for --disable-silent-rules.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-37.alpha16.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 29 2011 Milan Crha <mcrha@redhat.com> - 4.0.0-37.alpha16
- Sync version with Fedora 16 package

* Thu Aug 11 2011 Milan Crha <mcrha@redhat.com> - 4.0.0-36.alpha16
- Keep more libraries in samba4-libs and make conflicting as builtin.
- Add patch to ignore --disable-silent-rules configure parameter

* Tue Aug  2 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-35.alpha16
- Rebase to new upstream release.
  This release is needed to build newer openchange libraries.

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 4.0.0-34.alpha15GITa6a722b.1
- Perl mass rebuild

* Thu Mar 17 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-34.alpha15GITa6a722b
- New snapshot with fixes for openchange builds
- Additional patches to fix public headers install
- Move public function in public library

* Thu Mar 10 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-33.alpha15
- Remove unneded dependency.
  We need to do this instead of simply adding libwbclient as this library would
  conflict with the basic samba (3.x) packages, and libwbclient makes sense
  only when coupled with the corresponding winbind daemon which we do not build
  in samba4.

* Fri Mar  4 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-32.alpha15
- Try to fix provides issue to to upstream libraries build bug

* Fri Feb 25 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-31.alpha15
- Fix librraiues permissions to correctly generate dependencies

* Wed Feb 23 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-30.alpha15
- Some more changes in private libs.

* Wed Feb 23 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-29.alpha15
- Fix last minute changes in private libs.

* Wed Feb 23 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-28.alpha15
- Newer snapshot that fixes an upstream build issue.

* Tue Feb 22 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-27.alpha15
- Build a snapshot of the master tree pre-alpha15 to test a koji build.
  Also allows testing new open change builds openchange new bits, so we are
  ready to release to F15 as soon as alpha15 is released.

* Mon Feb 21 2011 Simo Sorce <ssorce@redhat.com> - 4.0.0-26.alpha15
- Prepare for Alpha 15 release
- Provide all libraries

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-25.alpha11.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 01 2010 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-25.alpha11
- Fix typo (RH bug #619946).

* Mon Jun 28 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 4.0.0-24.alpha11
- Revert changes to %%Release, use %%main_release instead.
- Rebuild for perl-5.12.x.

* Mon Jun 28 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 4.0.0-23.alpha11.2
- Once again rebuild for perl-5.12.x.

* Wed Jun 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 4.0.0-23.alpha11.1
- Mass rebuild with perl-5.12.0

* Wed Feb 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 4.0.0-23.alpha11
- Rebuild against newer libtevent

* Sun Jan 24 2010 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-22.alpha11
- Upgrade to alpha11

* Fri Jan 08 2010 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-21.alpha10
- Bump ldb_version to 0.9.10.

* Fri Jan 08 2010 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-20.alpha10
- Only install new command-line utilities if enable_samba4 is non-zero.

* Wed Jan 06 2010 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-19.alpha10
- Upgrade to alpha10

* Thu Sep 17 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-18.1.alpha8_git20090916
- Need docbook stuff to build man pages

* Thu Sep 17 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-18.alpha8_git20090916
- Fix broken dependencies

* Wed Sep 16 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-17.alpha8_git20090916
- Upgrade to alpha8-git20090916

* Wed Sep 16 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-16.alpha7
- Stop building libtevent, it is now an external package

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-15.2alpha7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-15.2alpha7
- Fix dependency

* Sat May 09 2009  Simo Sorce <ssorce@redhat.com> - 4.0.0-15.1alpha7
- Don't build talloc and tdb, they are now separate packages

* Mon Apr 06 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-14alpha7
- Fix a build issue in samba4-common (RH bug #494243).

* Wed Mar 25 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-13alpha7
- rebuild with correct CFLAGS (also fixes debuginfo)

* Tue Mar 10 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-12alpha7
- Second part of fix for the ldb segfault problem from upstream

* Mon Mar 09 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-11alpha7
- Add upstream patch to fix a problem within ldb

* Sun Mar 08 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-10alpha7
- Remove ldb.pc from samba4-devel (RH bug #489186).

* Wed Mar  4 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-9alpha7
- Make talloc,tdb,tevent,ldb easy to exclude using defines
- Fix package for non-mock "dirty" systems by deleting additional
  files we are not interested in atm

* Wed Mar  4 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-8alpha7
- Fix typo in Requires

* Mon Mar  2 2009 Simo Sorce <ssorce@redhat.com> - 4.0.0-7alpha7
- Compile and have separate packages for additional samba libraries
  Package in their own packages: talloc, tdb, tevent, ldb

* Fri Feb 27 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-4.alpha7
- Update to 4.0.0alpha7

* Wed Feb 25 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-3.alpha6
- Formal package review cleanups.

* Mon Feb 23 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-2.alpha6
- Disable subpackages not needed by OpenChange.
- Incorporate package review feedback.

* Mon Jan 19 2009 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-1.alpha6
- Update to 4.0.0alpha6

* Wed Dec 17 2008 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-0.8.alpha6.GIT.3508a66
- Fix another file conflict: smbstatus

* Fri Dec 12 2008 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-0.7.alpha6.GIT.3508a66
- Disable the winbind subpackage because it conflicts with samba-winbind
  and isn't needed to support OpenChange.

* Fri Dec 12 2008 Matthew Barnes <mbarnes@redhat.com> - 4.0.0-0.6.alpha6.GIT.3508a66
- Update to the GIT revision OpenChange is now requiring.

* Fri Aug 29 2008 Andrew Bartlett <abartlet@samba.org> - 0:4.0.0-0.5.alpha5.fc10
- Fix licence tag (the binaries are built into a GPLv3 whole, so the BSD licence need not be mentioned)

* Fri Jul 25 2008 Andrew Bartlett <abartlet@samba.org> - 0:4.0.0-0.4.alpha5.fc10
- Remove talloc and tdb dependency (per https://bugzilla.redhat.com/show_bug.cgi?id=453083)
- Fix deps on chkconfig and service to main pkg (not -common)
  (per https://bugzilla.redhat.com/show_bug.cgi?id=453083)

* Mon Jul 21 2008 Brad Hards <bradh@frogmouth.ent> - 0:4.0.0-0.3.alpha5.fc10
- Use --sysconfdir instead of --with-configdir
- Add patch for C++ header compatibility

* Mon Jun 30 2008 Andrew Bartlett <abartlet@samba.org> - 0:4.0.0-0.2.alpha5.fc9
- Update per review feedback
- Update for alpha5

* Thu Jun 26 2008 Andrew Bartlett <abartlet@samba.org> - 0:4.0.0-0.1.alpha4.fc9
- Rework Fedora's Samba 3.2.0-1.rc2.16 spec file for Samba4
